package com.community.huiju.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 商铺图片
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TpShopImg implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 小区ID
     */
    private Integer communityId;

    /**
     * 商铺ID
     */
    private Integer shopId;

    /**
     * 商铺图片地址
     */
    private String imgUrl;

    /**
     * 商铺图片类型 1是app首页图片每个商铺唯一，2是app列表图片,3是app商铺轮播图
     */
    private String imgType;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;


}
