package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 物业web端二手交易评论表
 * </p>
 *
 * @author jobob
 * @since 2019-04-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_transaction_reply")
public class TransactionReply implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * 小区id
     */
    private Integer communityId;
    
    /**
     * 交易帖子ID
     */
    private Integer transactionId;
    
    /**
     * 回复帖子的ID,根据uuid_type区分物业端app端
     */
    private Integer uuid;
    
    /**
     * app/prop
     */
    private String uuidType;
    
    /**
     * 回复帖子的姓名
     */
    private String uuidName;
    
    /**
     * 回复帖子的角色
     */
    private String uuidRole;
    
    /**
     * 回复内容
     */
    private String replyContent;
    
    /**
     * 被回复的评论内容的用户ID根据uuidtype区分
     */
    private Integer replyUuid;
    
    /**
     * app/prop
     */
    private String replyUuidType;
    
    /**
     * 被回复的评论内容的姓名
     */
    private String replyUuidName;
    
    /**
     * 被回复的评论人的角色
     */
    private String replyUuidRole;
    
    /**
     * 发布者身份
     */
    private String releaseIdentity;
    
    /**
     * 发布类型1 是评论 0 是回复评论
     */
    private String publishType;
    
    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 回复的图片List
     */
    @TableField(exist = false)
    private List<String> tdImagesLists;
}
